From c4f3575368c5aeef4134d82125df2814d688cc2a Mon Sep 17 00:00:00 2001
From: nbd <nbd@3c298f89-4303-0410-b956-a3cf2f4a3e73>
Date: Sun, 30 Jul 2006 03:09:09 +0000
Subject: rewrite of the network scripts and configuration

git-svn-id: svn://svn.openwrt.org/openwrt/branches/buildroot-ng/openwrt@4323 3c298f89-4303-0410-b956-a3cf2f4a3e73
---
 package/switch/files/switch.sh | 33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)
 create mode 100644 package/switch/files/switch.sh

(limited to 'package/switch/files')

diff --git a/package/switch/files/switch.sh b/package/switch/files/switch.sh
new file mode 100644
index 000000000..a787a8cf3
--- /dev/null
+++ b/package/switch/files/switch.sh
@@ -0,0 +1,33 @@
+#!/bin/sh
+# Copyright (C) 2006 OpenWrt.org
+
+setup_switch_vlan() {
+	DIR="/proc/switch/$CONFIG_SECTION/vlan/$1"
+	[ -d "$DIR" ] || return 0
+	
+	config_get ports "$CONFIG_SECTION" "vlan$1"
+	echo "$ports" > "$DIR/ports"
+}
+
+setup_switch() {
+	config_cb() {
+		case "$1" in
+			switch)
+				[ -n "$2" -a -d "/proc/switch/$2" ] && {
+					echo 1 > "/proc/switch/$2/reset"
+					echo 1 > "/proc/switch/$2/enable"
+					echo 1 > "/proc/switch/$2/enable_vlan"
+					option_cb() {
+						case "$1" in
+							vlan*) setup_switch_vlan "${1##vlan}";;
+						esac
+					}
+				}
+			;;
+			*)
+				option_cb() { return 0; }
+			;;
+		esac
+	}
+	config_load network
+}
-- 
cgit v1.2.3